Project

General

Profile

Bug #3011

NuSoap not php 5.3 version

Added by Nathalie Blocry about 10 years ago. Updated almost 9 years ago.

Status:
Needs more info
Priority:
Normal
Assignee:
-
Start date:
03/03/2011
Due date:
% Done:

0%

Estimated time:
Complexity:
Normal

Description

there is a new version, current version does not work under php 5.3 (constructors!)

History

#1

Updated by Sven Vanpoucke about 10 years ago

NuSoap will not be used anymore for our webservices since we are supporting the REST protocol.

#2

Updated by Nathalie Blocry about 10 years ago

then it should be removed, there are quite some "example" files in the stable version that still use SOAP.

#3

Updated by Sven Vanpoucke about 10 years ago

They are built on the old webservices framework. Untill they are converted to the new webservices framework they will be there because we need a reference for converting. Just a matter of available resources to convert them ;)

#4

Updated by Hans De Bisschop about 10 years ago

Actually NuSoap can also be used to consume Soap web services so we can't really delete it, still needs to be updated :)

#5

Updated by Nathalie Blocry about 10 years ago

  • Assignee set to Nathalie Blocry

so I will update the library

#6

Updated by Hans De Bisschop about 10 years ago

Much appreciated !

#7

Updated by Stefaan Vanbillemont about 10 years ago

  • Project changed from Chamilo LCMS Connect to Repository
  • Category deleted (21)
#8

Updated by Stefaan Vanbillemont about 10 years ago

  • Target version set to 2.1.0
#9

Updated by Nathalie Blocry almost 10 years ago

  • Status changed from New to Needs testing
  • Assignee deleted (Nathalie Blocry)

couldn't find a php 5.3-ready version.
Sven has done some refactoring on the package (changed the constructors)
should be tested to make sure this is the only problem

#10

Updated by Stefaan Vanbillemont over 9 years ago

  • Target version changed from 2.1.0 to Backlog (default)
#11

Updated by Stefaan Vanbillemont almost 9 years ago

  • Status changed from Needs testing to Needs more info

Also available in: Atom PDF